/v1/game/list/:providerId

Retrieve a list of available games

GET /v1/game/list/:providerId

Returns all games that are available for the operator, based on query parameters such as provider, or status. Requires authentication.

Headers

Name
Value

Authorization

Bearer <API_TOKEN>

Content-Type

application/json

Accept

application/json

Parameters

Key
Type
Description
Mandatory

providerId

number

Provider ID

Required

Response

{
  "success": true,
  "message": "OK",
  "data": [
    {
      "gameID": "vswaysdogs",
      "gameName": "The Dog House Megaways",
      "gameImage": "https://contents.example.com/imgae/120*120/1.png",
      "gameType": 0, // 0: Slot, 1: Live, 2: Other
      "inMaintenance": false
    }
  ]
}
Field
Data Type
Meaning

success

boolean

Indicates whether the API call succeeded

message

string

Textual confirmation of the API call

data

array

Array of game objects

data[].gameID

string

Unique game identifier

data[].gameName

string

Display name of the game

data[].gameImage

string

URL of the game thumbnail image

data[].gameType

number

Game type identifier 0: Slot, 1: Live, 2: Other

data[].inMaintenance

boolean

Indicates whether the game is under maintenance

Last updated